Program ExitScreen;

{$X+ }  { Enable extended syntax }
{$F+ } { declare far }

Uses crt,spx_eff,spx_key,spx_img,spx_vga,spx_gui,
     spx_geo,spx_fnc,spx_sfn,spx_mos,spx_vsp;

Const
   nsize:integer = 00;   {cycle amplitude for title screen}
   hsize:integer = 100;  {cycle period for title screen}
   path = '';   { default work path }

Type
   PMyCycle = ^TmyCycle;
   TMyCycle = object(TCycle)
                 {procedure cycle_move; virtual;}
              end;

Var
   MyCycle : PMyCycle;

{  i      : Tobjlist;           { Data structure to hold objects }
   cradio : integer;            { variable to keep track of which }
                                { radio button is enabled }
  list : TobjList;           { list to contain all objects }
   p,q  : pButton;            { object pointers }
   pr   : integer;


{=-=-=-=-=-=-=-=-=-=-=-=-=-=-=--=-=-=-=-=-==-=-=-=-=-=-=-=-=-=-=-==-=-=-=-=-}

{=-=-=-=-=-=-=-=-=-BEGIN GRAPHICS SECTION-==-=-=-=-=-=-=-=-=-=-=-==-=-=-=-=-}

{ Setup Graphics mode for title screen }
procedure setuptitle;
begin
  openmode(2);                  { open graphics mode with 1 virtual page }
  setpageactive(2);             { set page 2 as the active page }
  loadpcx(path+'exit.pcx'); { load pcx file on page 2 }
  fsetcolors(rgb256);           { set the palette to the pcx palette }
  MyCycle := new(PMyCycle,init(hsize,nsize));
end;

{Animation of title screen}
procedure animate;
begin
  MyCycle^.docycle(2,1,1);
  delay(4000); {delay # milliseconds}
  repeat
          nsize:=nsize+2;
          MyCycle^.changewave(hsize,nsize);
          MyCycle^.docycle(2,1,2);

 until (nsize>=250) or key[KEY_ESC] or key[KEY_SPACE] or key[KEY_ENTER];
 fadeout(40,rgb256);
end;

{ TCycle Methods -- Used by Animation of title screen}
(*
procedure TMyCycle.cycle_move;
begin
  if np[6,2] or np[9,2] or np[3,2]
    then cyclex := (cyclex+1) mod 320
    else
      if np[4,2] or np[7,2] or np[1,2]
        then cyclex := (cyclex+319) mod 320;
  if np[8,2] or np[7,2] or np[9,2]
    then cycley := (cycley+1) mod 200
    else
      if np[1,2] or np[2,2] or np[3,2]
        then cycley := (cycley+199) mod 200;
end;
*)

{End of title screen graphics routines}

procedure showit;
{var
  i : tObjList;}
begin

   clrscr;

end;



{=-=-=-=-=-=-=-=-=-END GRAPHICS SECTION=-==-=-=-=-=-=-=-=-=-=-=-==-=-=-=-=-}

{=-=-=-=-=-=-=-=-=-=-=-=-=-=-=--=-=-=-=-=-==-=-=-=-=-=-=-=-=-=-=-==-=-=-=-=-}
Begin
  showit;
  setuptitle;
  animate;
  dispose(MyCycle,done);
  closemode;
End.